Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class MilestoneNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.factory.NodeFactory
          org.jbpm.ruleflow.core.factory.MilestoneNodeFactory

    public class MilestoneNodeFactory

extends NodeFactory

Field Summary

Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`nodeContainerFactory`

Constructor Summary
`MilestoneNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`MilestoneNodeFactory` | `constraint(String constraint)`
`protected Node` | `createNode()`
`protected MilestoneNode` | `getMilestoneNode()`
`MilestoneNodeFactory` | `name(String name)`
`MilestoneNodeFactory` | `onEntryAction(String dialect, String action)`
`MilestoneNodeFactory` | `onExitAction(String dialect, String action)`
`MilestoneNodeFactory` | `timer(String delay, String period, String dialect, String action)`

Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`done, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MilestoneNodeFactory

    public MilestoneNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                NodeContainer nodeContainer,
                                long id)

Method Detail

### createNode

    protected Node createNode()

  Specified by:
    `createNode` in class `NodeFactory`

### getMilestoneNode

    protected MilestoneNode getMilestoneNode()

### name

    public MilestoneNodeFactory name(String name)

### onEntryAction

    public MilestoneNodeFactory onEntryAction(String dialect,
                                              String action)

### onExitAction

    public MilestoneNodeFactory onExitAction(String dialect,
                                             String action)

### constraint

    public MilestoneNodeFactory constraint(String constraint)

### timer

    public MilestoneNodeFactory timer(String delay,
                                      String period,
                                      String dialect,
                                      String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.